HanMacWrdJGraphInternal::CellFormat Struct Reference

a cell format in HanMacWrdJGraph More...

## Public Member Functions

| CellFormat ()
| constructor

## Public Attributes

MWAWColor | m_backColor
| the background color
std::vector< MWAWBorder > | m_borders
| the border: order defined by MWAWBorder::Pos
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, CellFormat const &frmt)
| operator<<

## Detailed Description

a cell format in HanMacWrdJGraph

## Constructor & Destructor Documentation

## CellFormat()

HanMacWrdJGraphInternal::CellFormat::CellFormat | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | CellFormat const & | frmt )

friend

operator<<

## Member Data Documentation

## m_backColor

MWAWColor HanMacWrdJGraphInternal::CellFormat::m_backColor

the background color

Referenced by CellFormat(), operator<<, HanMacWrdJGraph::readTableFormatsList(), and HanMacWrdJGraphInternal::TableCell::update().

## m_borders

std::vector<MWAWBorder> HanMacWrdJGraphInternal::CellFormat::m_borders

the border: order defined by MWAWBorder::Pos

Referenced by CellFormat(), operator<<, HanMacWrdJGraph::readTableFormatsList(), and HanMacWrdJGraphInternal::TableCell::update().

## m_extra

std::string HanMacWrdJGraphInternal::CellFormat::m_extra

extra data

Referenced by CellFormat(), operator<<, and HanMacWrdJGraph::readTableFormatsList().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx